# all files / ol/layer/ image.js

100% Statements 10/10
50% Branches 1/2
100% Functions 1/1
100% Lines 10/10

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    441×

    1×
    1×
    1×

    1×
    53×
    53×

    53×

    1×

    1×
     goog.provide('ol.layer.Image');

    goog.require('ol');
    goog.require('ol.LayerType');
    goog.require('ol.layer.Layer');

    /**
     * @classdesc
     * Server-rendered images that are available for arbitrary extents and
     * resolutions.
     * Note that any property set in the options is set as a {@link ol.Object}
     * property on the layer object; for example, setting `title: 'My Title'` in the
     * options means that `title` is observable, and has get/set accessors.
     *
     * @constructor
     * @extends {ol.layer.Layer}
     * @fires ol.render.Event
     * @param {olx.layer.ImageOptions=} opt_options Layer options.
     * @api
     */
    ol.layer.Image = function(opt_options) {
      var options = opt_options ? opt_options : {};
      ol.layer.Layer.call(this,  /** @type {olx.layer.LayerOptions} */ (options));

      /**
       * The layer type.
       * @protected
       * @type {ol.LayerType}
       */
      this.type = ol.LayerType.IMAGE;

    };
    ol.inherits(ol.layer.Image, ol.layer.Layer);

    /**
     * Return the associated {@link ol.source.Image source} of the image layer.
     * @function
     * @return {ol.source.Image} Source.
     * @api
     */
    ol.layer.Image.prototype.getSource;